- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTMatrix Class Reference
[COLLADA Document Object Model.]

A COLLADA matrix transformation. More...

`#include <FCDTransform.h>`

Inheritance diagram for FCDTMatrix:

List of all members.

## Public Member Functions
| FCDTMatrix (FCDocument *document, FCDSceneNode *parent)
| Constructor: do not use directly.
virtual | ~FCDTMatrix ()
| Destructor.
virtual Type | GetType () const
| Retrieves the transformation class type for the transformation.
FCDParameterAnimatableMatrix44 & | GetTransform ()
| Retrieves the matrix for the transformation.
const FCDParameterAnimatableMatrix44 & | GetTransform () const
| See above.
void | SetTransform (const FMMatrix44 &mx)
| Sets the matrix for the transformation.
virtual FMMatrix44 | ToMatrix () const
| Converts the transformation into a matrix.
virtual bool | IsAnimated () const
| Retrieves whether the transformation matrix is animated.
FCDAnimated * | GetAnimated ()
| Retrieves the animated element for the transformation matrix.
virtual const FCDAnimated * | GetAnimated () const
| See above.
virtual FCDTransform * | Clone (FCDTransform *clone=NULL) const
| Creates a copy of a matrix transformation.

## Detailed Description

A COLLADA matrix transformation.

This transformation contains a matrix that should be multiplied to the local transformation matrix.

## Constructor & Destructor Documentation

FCDTMatrix::FCDTMatrix | ( | FCDocument * | document,
|  | FCDSceneNode * | parent
| ) |

  | Constructor: do not use directly. Instead, use the FCDSceneNode::AddTransform function with the transformation type: MATRIX. Parameters:
  | document | The COLLADA document that owns the transformation.
  | parent | The visual scene node that contains the transformation.

## Member Function Documentation

virtual FCDTransform* FCDTMatrix::Clone | ( | FCDTransform * | clone = `NULL` | ) | const`[virtual]`

  | Creates a copy of a matrix transformation. Parameters:
  | clone | The transform that will be the clone.
Returns: The cloned transformation. Implements FCDTransform.

FCDAnimated* FCDTMatrix::GetAnimated | ( |  | ) | `[inline]`

| Retrieves the animated element for the transformation matrix. See also: FCDAnimatedMatrix Returns: The animated element. This pointer will be NULL if the transformation matrix is not animated. Reimplemented from FCDTransform.

FCDParameterAnimatableMatrix44& FCDTMatrix::GetTransform | ( |  | ) | `[inline]`

| Retrieves the matrix for the transformation. All 16 values of the matrix may be animated. Returns: The transformation matrix.

virtual Type FCDTMatrix::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the transformation class type for the transformation. Returns: The class type: MATRIX. Implements FCDTransform.

virtual bool FCDTMatrix::IsAnimated | ( |  | ) | const`[virtual]`

| Retrieves whether the transformation matrix is animated. Returns: Whether the transformation matrix is animated. Implements FCDTransform.

void FCDTMatrix::SetTransform | ( | const FMMatrix44 & | mx | ) | `[inline]`

  | Sets the matrix for the transformation. Parameters:
  | mx | The transformation matrix.

virtual FMMatrix44 FCDTMatrix::ToMatrix | ( |  | ) | const`[inline, virtual]`

| Converts the transformation into a matrix. For matrix transformations, that's simply the transformation matrix. Returns: The transformation matrix. Implements FCDTransform.

The documentation for this class was generated from the following file:

- FCDocument/FCDTransform.h